from util import segment_run_map
from ..configuration import db_info, config

def datadump(args):
    """Datadump. Deprected, No longer in use.
    
    @param args: A dictionary of command line parameters.
    """
     
    _segments = [segment_run_map[seg] for seg in cmd.args.segments.split('|')]

    for segment in _segments: 
        opt = {'segment': segment,
           'delimiter': cmd.args.delimiter,
           'in_dir': cmd.args.in_dir,
           'db_info': db_info['stand'],
           'verbose': cmd.args.verbose,
           'meta_dir': config.meta_dir
          }
        
        cmd.task_queue.put(opt)
    
    print "Dumping data..."
    
    cmd.start()
    cmd.task_queue.join()    
    cmd.flush()
    
    print "done."